Rapid7 Vulnerability & Exploit Database

AIX nddstat family environment variable error -AIX 5.3

Back to Search

AIX nddstat family environment variable error -AIX 5.3

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
03/11/2008
Created
07/25/2018
Added
09/05/2014
Modified
10/05/2015

Description

The nddstat family of commands contains an environment variable handling error. A local attacker may exploit this error to execute arbitrary code with root privileges because the commands are setuid root. The following files are vulnerable: /usr/sbin/atmstat /usr/sbin/entstat /usr/sbin/fddistat /usr/sbin/hdlcstat /usr/sbin/tokstat

Solution(s)

  • aix-5.3-nddstat_advisory

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;